Articles

Count Articles

Get count of articles matching given filter.

GET
/articles.count

Get count of articles matching given filter.

Authorization

auth-token

AuthorizationBearer <token>

All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request. How do I find my token?

In: header

Query Parameters

ancestor?string

The ancestor directory of the articles.

Formatid
applies_to_parts?array<string>

Filters for articles belonging to any of the provided parts.

article_type?array<article-type>

Filter for the type of articles. If this is not provided, then articles that are not content blocks are returned.

authored_by?array<string>

Filters for articles authored by any of the provided users.

brands?array<string>

Filters for articles belonging to any of the provided brands.

created_by?array<string>

Filters for articles created by any of the provided users.

modified_by?array<string>

Filters for articles modified by any of the provided users.

owned_by?array<string>

Filters for articles owned by any of the provided users.

parent?array<string>

Filters for articles with the provided parent directories.

scope?array<integer>

Filter for the scope of the articles.

shared_with.member?string

ID of the group/member with whom the item is shared.

Formatid
shared_with.role?string

Role ID of the group/member with whom the item is shared.

Formatid
status?array<article-status>

Filters for status of the articles.

sync_metadata.external_reference?array<string>

Filters for issues with this specific external reference.

sync_metadata.last_sync_in.status?array<sync-metadata-filter-sync-in-filter-status>

Filters for works with selected sync statuses.

sync_metadata.last_sync_in.sync_history?array<string>

Filters for works modified with selected sync history.

sync_metadata.last_sync_in.sync_unit?array<string>

Filters for works modified with selected sync units.

sync_metadata.last_sync_out.status?array<sync-metadata-filter-sync-out-filter-status>

Filters for works with selected sync statuses.

sync_metadata.last_sync_out.sync_history?array<string>

Filters for works modified with selected sync history.

sync_metadata.last_sync_out.sync_unit?array<string>

Filters for works modified with selected sync units.

sync_metadata.origin_system?array<string>

Filters for issues synced from this specific origin system.

tags?array<string>

Filters for article with any of the provided tags.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.devrev.ai/articles.count"
{
  "count": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "artifact_already_attached_to_a_parent",
  "existing_parent": "string",
  "is_same": true
}
{
  "detail": "string",
  "message": "string",
  "type": "dev_org_deactivated"
}
{
  "detail": "string",
  "message": "string",
  "type": "forbidden"
}
{
  "detail": "string",
  "message": "string",
  "type": "request_entity_too_large",
  "max_bytes": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "too_many_requests",
  "retry_after": 0
}
{
  "detail": "string",
  "message": "string",
  "type": "internal_error",
  "reference_id": "string"
}
{
  "detail": "string",
  "message": "string",
  "type": "service_unavailable"
}